#!/system/bin/sh
BOX=/system/bin/busybox
$BOX umount -l /sdcard
if [ -b /dev/block/mmcblk1 ]; then
$BOX echo "[INFO]SDCARD DETECTED."
$BOX mount -t auto /dev/block/mmcblk1p1 /sdcard
$BOX echo "[INFO]MOUNT SDCARD /SDCARD."
$BOX mv /sdcard/linux.tar /cache/linux.tar
$BOX echo "[INFO]COPY linux.tar TO CACHE FINISHED."
$BOX umount -l /sdcard
$BOX fdisk /dev/block/mmcblk1 << EOF
u
d
n
p
1


w
EOF
$BOX echo "[INFO]SDCARD REPARTITION FINISHED."
/system/bin/make_ext4fs /dev/block/mmcblk1p1
$BOX echo "[INFO]SDCARD FORMAT FINISHED."
$BOX mkdir -p /tmp/media/data/linux
$BOX mount -t ext4 /dev/block/mmcblk1p1 /tmp/media/data/linux
$BOX tar -xf /cache/linux.tar -C /tmp/media
$BOX echo "[INFO]COPY linux.tar DATA TO SDCARD FINISHED."
/system/bin/setprop persist.sys.ghost.linux on
$BOX echo "[INFO]SETPROP FINISHED."
elif [ -b /dev/block/sda ]; then
$BOX echo "[INFO]USB DETECTED."
$BOX mount -t auto /dev/block/sda1 /sdcard
$BOX echo "[INFO]MOUNT USB /SDCARD."
$BOX mv /sdcard/linux.tar /cache/linux.tar
$BOX echo "[INFO]COPY linux.tar TO CACHE FINISHED."
$BOX umount -l /sdcard
/system/bin/busybox fdisk /dev/block/sda <<EOF
u
d
n
p
1


w
EOF
$BOX echo "[INFO]USB REPARTITION FINISHED."
/system/bin/make_ext4fs /dev/block/sda1
$BOX echo "[INFO]SDCARD FORMAT FINISHED."
$BOX mkdir -p /tmp/media/data/linux
$BOX mount -t ext4 /dev/block/sda1 /tmp/media/data/linux
$BOX tar -xf /cache/linux.tar -C /tmp/media
$BOX echo "[INFO]COPY linux.tar DATA TO USB FINISHED."
/system/bin/setprop persist.sys.ghost.linux on
$BOX echo "[INFO]SETPROP FINISHED."
fi
$BOX echo "[INFO]TASK FINISHED."
$BOX sync
